> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Show mandate for customer



## OpenAPI

````yaml /openAPI.json get /api/v2/customers/{customerId}/mandates/{id}
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/customers/{customerId}/mandates/{id}:
    get:
      tags:
        - Mandates
      summary: Show mandate for customer
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Mandate details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Mandate'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Mandate:
      type: object
      required:
        - id
        - method
        - status
        - details
      properties:
        id:
          type: string
          example: mdt_abc123
        method:
          enum:
            - directdebit
            - creditcard
          type: string
          example: directdebit
        status:
          enum:
            - valid
            - invalid
            - pending
          type: string
          example: valid
        custom_mandate_reference:
          type: string
          nullable: true
          example: MY-REF-001
        signature_date:
          type: string
          nullable: true
          example: '2025-01-15'
        details:
          type: object
          properties:
            consumer_name:
              type: string
              nullable: true
              example: John Doe
            consumer_account:
              type: string
              nullable: true
              example: NL55INGB0000000000
            consumer_bic:
              type: string
              nullable: true
              example: INGBNL2A
            card_holder:
              type: string
              nullable: true
              example: J. Doe
            card_number:
              type: string
              nullable: true
              example: '6787'
            card_expiry_date:
              type: string
              nullable: true
              example: '2028-12-31'
            card_label:
              type: string
              nullable: true
              example: Mastercard
            card_fingerprint:
              type: string
              nullable: true
              example: Fh94dX2V
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
          example: 404
        error:
          type: string
          example: Resource not found

````